Package org.linphone.core

# Interface ConferenceInfo

public interface ConferenceInfo
Object defining all information related to a past or future conference.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`ConferenceInfo.State`

## Method Summary

Modifier and Type
Method
Description
`void`
`addParticipant(Address participant)`
Add a participant to the conference.
`void`
`addParticipant(ParticipantInfo participantInfo)`
Add a participant to the conference.
`void`
`addParticipantInfos(ParticipantInfo[] participantInfos)`
Add a list of participants.
`ConferenceInfo`
`clone()`
Clone an object `ConferenceInfo`.
`ParticipantInfo`
`findParticipant(Address participant)`
Find a participant information in the conference information.
`boolean`
`getCapability(StreamType streamType)`
Get the capability of the conference.
`String`
`getCcmpUri()`
Retrieve the CCMP URI of the conference.
`long`
`getDateTime()`
Retrieve the date and time of the conference.
`String`
`getDescription()`
Retrieve the description of the conference.
`String`
`getDescriptionUtf8()`
Retrieve the description of the conference.
`int`
`getDuration()`
Retrieve the duration (in minutes) of the conference.
`String`
`getIcalendarString()`
Retrieve the conference as an Icalendar string.
`String`
`getIcsUid()`
Retrieve the ICS UID linked to a conference info.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`Address`
`getOrganizer()`
Retrieve the organizer of the conference.
`ParticipantInfo`
`getOrganizerInfo()`
Retrieve the organizer of the conference.
`ParticipantInfo[]`
`getParticipantInfos()`
Retrieve the list of participants as list of participant infos.
`Address[]`
`getParticipants()`
Deprecated.
24/08/2023 use linphone_conference_info_get_participant_infos
instead
`Conference.SecurityLevel`
`getSecurityLevel()`
Retrieve the desired security level of the conference.
`ConferenceInfo.State`
`getState()`
Retrieve the state of the conference info.
`String`
`getSubject()`
Retrieve the subject of the conference.
`String`
`getSubjectUtf8()`
Retrieve the subject of the conference.
`Address`
`getUri()`
Retrieve the URI of the conference.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`removeParticipant(Address participant)`
Remove a participant from the conference.
`void`
`setCapability(StreamType streamType, boolean enable)`
Set the capability of the conference.
`void`
`setCcmpUri(String uri)`
Set the CCMP URI of the conference.
`void`
`setDateTime(long datetime)`
Set the date and time of the conference.
`void`
`setDescription(String description)`
Set the description of the conference.
`void`
`setDescriptionUtf8(String description)`
Set the description of the conference.
`void`
`setDuration(int duration)`
Set the duration (in minutes) of the conference.
`void`
`setIcsUid(String uid)`
Store the ICS UID in the conference info.
`void`
`setOrganizer(Address organizer)`
Set the organizer of the conference.
`void`
`setParticipantInfos(ParticipantInfo[] participantInfos)`
Set the list of participants.
`void`
`setParticipants(Address[] participants)`
Deprecated.
24/08/2023 use linphone_conference_info_set_participant_infos
instead
`void`
`setSecurityLevel(Conference.SecurityLevel securityLevel)`
Set the desired security level of the conference.
`void`
`setSubject(String subject)`
Set the subject of the conference.
`void`
`setSubjectUtf8(String subject)`
Set the subject of the conference.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`
`void`
`updateParticipant(ParticipantInfo participantInfo)`
Update the participant information in the conference informations.

## Method Details

### getCcmpUri

@Nullable String getCcmpUri()
Retrieve the CCMP URI of the conference.

Returns:
  The URI of the conference stored in the CCMP server.

### setCcmpUri

void setCcmpUri(@Nullable String uri)
Set the CCMP URI of the conference.

Parameters:
  `uri` - The URI of the conference in the CCMP server.

### getDateTime

long getDateTime()
Retrieve the date and time of the conference.

Returns:
  The date and time of the conference.

### setDateTime

void setDateTime(long datetime)
Set the date and time of the conference.

Parameters:
  `datetime` - The date and time of the conference.

### getDescription

@Nullable String getDescription()
Retrieve the description of the conference.

Returns:
  The description of the conference.

### setDescription

void setDescription(@Nullable String description)
Set the description of the conference.

Parameters:
  `description` - The description of the conference.

### getDescriptionUtf8

@Nullable String getDescriptionUtf8()
Retrieve the description of the conference.

Returns:
  The description of the conference.

### setDescriptionUtf8

void setDescriptionUtf8(@Nullable String description)
Set the description of the conference.

Parameters:
  `description` - The description of the conference.

### getDuration

int getDuration()
Retrieve the duration (in minutes) of the conference.

Returns:
  The duration of the conference.

### setDuration

void setDuration(int duration)
Set the duration (in minutes) of the conference.

Parameters:
  `duration` - The duration of the conference.

### getIcalendarString

@Nullable String getIcalendarString()
Retrieve the conference as an Icalendar string.

Returns:
  The conference as an Icalendar string. The returned char* must be freed
  by the caller.

### getIcsUid

@Nullable String getIcsUid()
Retrieve the ICS UID linked to a conference info.

Returns:
  the ICS UID.

### setIcsUid

void setIcsUid(@Nullable String uid)
Store the ICS UID in the conference info.

Parameters:
  `uid` - the ICS UID to be associated to the `ConferenceInfo` object.

### getOrganizer

@Nullable Address getOrganizer()
Retrieve the organizer of the conference.

Returns:
  The `Address` of the conference's organizer.

### setOrganizer

void setOrganizer(@Nullable Address organizer)
Set the organizer of the conference.

Parameters:
  `organizer` - The `Address` of the conference's organizer.

### getOrganizerInfo

@Nullable ParticipantInfo getOrganizerInfo()
Retrieve the organizer of the conference.

Returns:
  The `ParticipantInfo` of the conference's organizer.

### getParticipantInfos

@NonNull ParticipantInfo[] getParticipantInfos()
Retrieve the list of participants as list of participant infos.

Returns:
  The list of participant informations.

### setParticipantInfos

void setParticipantInfos(@Nullable ParticipantInfo[] participantInfos)
Set the list of participants.

Parameters:
  `participantInfos` - The list of participant informations to set.

### getParticipants

@Deprecated @NonNull Address[] getParticipants()
Deprecated.
24/08/2023 use linphone_conference_info_get_participant_infos
instead
Retrieve the list of participants as list of addresses.

Returns:
  The list of participants.

### setParticipants

@Deprecated void setParticipants(@Nullable Address[] participants)
Deprecated.
24/08/2023 use linphone_conference_info_set_participant_infos
instead
Set the list of participants.

Parameters:
  `participants` - The list of participants to set.

### getSecurityLevel

Conference.SecurityLevel getSecurityLevel()
Retrieve the desired security level of the conference.

Returns:
  The desired security level of the conference.

### setSecurityLevel

void setSecurityLevel(Conference.SecurityLevel securityLevel)
Set the desired security level of the conference.

Parameters:
  `securityLevel` - The desired security level of the conference.

### getState

@Nullable ConferenceInfo.State getState()
Retrieve the state of the conference info.

Returns:
  `ConferenceInfo.State` object.

### getSubject

@Nullable String getSubject()
Retrieve the subject of the conference.

Returns:
  The subject of the conference.

### setSubject

void setSubject(@Nullable String subject)
Set the subject of the conference.

Parameters:
  `subject` - The subject of the conference.

### getSubjectUtf8

@Nullable String getSubjectUtf8()
Retrieve the subject of the conference.

Returns:
  The subject of the conference.

### setSubjectUtf8

void setSubjectUtf8(@Nullable String subject)
Set the subject of the conference.

Parameters:
  `subject` - The subject of the conference.

### getUri

@Nullable Address getUri()
Retrieve the URI of the conference.

Returns:
  The URI of the conference (`Address`).

### addParticipant

void addParticipant(@NonNull Address participant)
Add a participant to the conference.

Parameters:
  `participant` - The participant (`Address`) to add.

### addParticipant

void addParticipant(@NonNull ParticipantInfo participantInfo)
Add a participant to the conference.

Parameters:
  `participantInfo` - The participant information (`ParticipantInfo`) to
  add. This method can be called to set attributes such as the role to the
  organizer of the conference

### addParticipantInfos

void addParticipantInfos(@Nullable ParticipantInfo[] participantInfos)
Add a list of participants.

Parameters:
  `participantInfos` - The list of participant informations to add.

### clone

@NonNull ConferenceInfo clone()
Clone an object `ConferenceInfo`.

Returns:
  the cloned `ConferenceInfo` object.

### findParticipant

@Nullable ParticipantInfo findParticipant(@NonNull Address participant)
Find a participant information in the conference information.

Parameters:
  `participant` - The participant (`Address`) to search.
Returns:
  The participant information (`ParticipantInfo`).

### getCapability

boolean getCapability(StreamType streamType)
Get the capability of the conference.
The capability information represents the capability for the conference linked
to the #ConferenceInfo to handle a given stream type (audio, video or text).

Parameters:
  `streamType` - A `StreamType`
Returns:
  the capability of the conference linked to conference information
  `ConferenceInfo`

### removeParticipant

void removeParticipant(@NonNull Address participant)
Remove a participant from the conference.

Parameters:
  `participant` - The participant (`Address`) to remove.

### setCapability

void setCapability(StreamType streamType, boolean enable)
Set the capability of the conference.
The capability information represents the capability for the conference linked
to the #ConferenceInfo to handle a given stream type (audio, video or text).

Parameters:
  `streamType` - A `StreamType`
  `enable` - the capability of the conference linked to conference information
  `ConferenceInfo`

### updateParticipant

void updateParticipant(@NonNull ParticipantInfo participantInfo)
Update the participant information in the conference informations.

Parameters:
  `participantInfo` - The participant information (`ParticipantInfo`) to
  update. This method can be called to change attributes such as the role to the
  organizer of the conference

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`